/*copyright 2007,ShangHai  HaoTun Electronic Technology co.,Ltd
 *
 *This sample is used for control light by infrared .
 *
 *write by Shifang
 *
 *V1.1
 */
//óʹLCD1602ʾ
#include<reg52.h>
#include<stdio.h>
#include<intrins.h>

////////////////////////////////////////////////
#define TURE 1
#define FALSE 0

////////////////////////////////////////////////

sbit IR=P3^2;//ӿڱ־
sbit RS = P2^4;//Pin4
sbit RW = P2^5; //Pin5
sbit E  = P2^6;//Pin6

#define Data  P0    //ݶ˿

unsigned int hour,minute,second,count;
char code Tab[16]="0123456789ABCDEF";

char data TimeNum[]="                ";
char data Test1[]="                  ";

////////////////////////////////////////////

unsigned char  irtime;//ȫֱ

bit irpro_ok,irok;
unsigned char IRcord[4];
unsigned char   irdata[33];
void ShowString (unsigned char line,char *ptr);

//////////////////////////////////////////////

void Delay(unsigned char mS);
void Ir_work(void);
void Ircordpro(void);


////////////////////////////////////////////////////////////////
void Delay(unsigned char mS)//delay mS
{
 unsigned char us,usn;

 while(mS!=0)
  { 
   usn = 4;
   while(usn!=0)
    {
     us=0xf0;
     while (us!=0) {us--;};
     usn--;
    }

   mS--;

  }
}


//////////////////////////////////////////////////////////////////
//************************************************************* // 
//////////////////////////////////////////////////////////////////  

void tim0_isr (void) interrupt 1 using 1//ʱ0жϷ
{
  irtime++;
}

///////////////////////////////////////////////////////////////////////
void ex0_isr (void) interrupt 0 using 0//ⲿж0
{
  static unsigned char  i;
  static bit startflag;

 if(startflag)
 {
   
    if(irtime<63&&irtime>=33)// TC9012ͷ
            i=0;
     
    		irdata[i]=irtime;
    		irtime=0;
    		i++;
   			 if(i==33)
      			{
	  			 irok=1;
				 i=0;
	  			}
          }
	 
  	 else
		{irtime=0;startflag=1;}

}

////////////////////////////////////////////////////////////////////
void TIM0init(void)//ʱ0ʼ
{

  TMOD=0x02;//ʱ0ʽ2TH0װֵTL0ǳֵ
  TH0=0x00;//reload value
  TL0=0x00;//initial value
  ET0=1;//ж
  TR0=1;
}
///////////////////////////////////////////////////////////////////
void EX0init(void)
{
 IT0 = 1;   // Configure interrupt 0 for falling edge on /INT0 (P3.2)
 EX0 = 1;   // Enable EX0 Interrupt
 EA = 1;  
}
/****************************************************************/

/******************************************************************/

  void Ir_work(void)//ֵɢת
  {
       
       TimeNum[5] = Tab[IRcord[0]/16];
	   TimeNum[6] = Tab[IRcord[0]%16];
	   TimeNum[8] = Tab[IRcord[1]/16];
	   TimeNum[9] = Tab[IRcord[1]%16];
	   TimeNum[11] = Tab[IRcord[2]/16];
	   TimeNum[12] = Tab[IRcord[2]%16+1];
	   TimeNum[14] = Tab[IRcord[3]/16];
	   TimeNum[15] = Tab[IRcord[3]%16-1];
	 
       ShowString(1,TimeNum);

		  irpro_ok=0;

  }

/*****************************************************************/
void Ircordpro(void)//ֵ
{ 
  unsigned char i, j, k;
  unsigned char cord,value;

  k=1;
  for(i=0;i<4;i++)//4ֽ
     {
      for(j=1;j<=8;j++) //1ֽ8λ
         {
          cord=irdata[k];
          if(cord>7)//ĳֵΪ1
		    {
             value=value|0x80;
			}
          else 
		    {
             value=value;
			}
          if(j<8)
		    {
			 value=value>>1;
			}
           k++;
         }
     IRcord[i]=value;
     value=0;     
     } irpro_ok=1;//ϱ־λ1
    
}



/******************************************************************/
void DelayUs(unsigned char us)//delay us
{
 unsigned char uscnt;
 uscnt=us>>1;/* Crystal frequency in 12MHz*/
 while(--uscnt);
}
/******************************************************************/
void DelayMs(unsigned char ms)//delay Ms
{
 while(--ms)
   {
     DelayUs(250);
     DelayUs(250);
	 DelayUs(250);
	 DelayUs(250);
   }
}
void WriteCommand(unsigned char c)
{
 DelayMs(5);//short delay before operation
 E=0;
 RS=0;
 RW=0;
 _nop_();
 E=1;
 Data=c;
 E=0;
}
/****************************************************************/
void WriteData(unsigned char c)
{
 DelayMs(5);   //short delay before operation
 E=0;
 RS=1;
 RW=0;
 _nop_();
 E=1;
 Data=c;
 E=0;
 RS=0;
}
/*********************************************************************/
void ShowChar(unsigned char pos,unsigned char c)
{
 unsigned char p;
 if (pos>=0x10)
    p=pos+0xb0; //ǵڶ4λΪ0xc
 else 
    p=pos+0x80; //ǵڶ4λΪ0x8
 WriteCommand (p);//write command
 WriteData (c);   //write data
}
/*************************************************************************/
void ShowString (unsigned char line,char *ptr)
{
 unsigned char l,i;
 l=line<<4;
 for (i=0;i<16;i++)
 ShowChar (l++,*(ptr+i));//ѭʾ16ַ
}
/*********************************************************************/
void InitLcd()
{
 DelayMs(15);
 WriteCommand(0x38); //display mode
 WriteCommand(0x38); //display mode
 WriteCommand(0x38); //display mode
 WriteCommand(0x06); //ʾƶλ
 WriteCommand(0x0c); //ʾ
 WriteCommand(0x01); //ʾ

}


/////////////////////////////////////////////////////////////////

void main(void)
{
 EX0init(); // Enable Global Interrupt Flag
 TIM0init();

 InitLcd();//
 DelayMs(15);

 sprintf(Test1," www.haotun.com ");//the first line
 ShowString(0,Test1);

 sprintf(TimeNum,"Code            ");//the second line
 ShowString(1,TimeNum);


 while(1)//ѭ
   {
    if(irok)
	  {   
	   Ircordpro();
 	   irok=0;
	  }

    if(irpro_ok)//step press key
	  {
	   Ir_work();
  	  }
   }
}
  