   
/*copyright 2007,ShangHai  HaoTun Electronic Technology co.,Ltd
 *
 *This sample is used for EEPROM 24C02 Read and Write.
 *
 *write by Shifang 2007-4-29
 *
 *V1.1
 */
 /*
  ÿο1 洢EEPROMֱ۵Ŀʹô
  P1 LEDΪʾ256ǽλģ⿪ ֱͨؿ
 */

 #include <reg52.h>
 #include <intrins.h>

 #define AddWr 0xae //Write Address
 #define AddRd 0xaf //Read Address

 //ȫֱ
 sbit Sda=P1^2; //Ӷ˿
 sbit Scl=P1^1;
 sbit WP=P1^0;//No connect here

 void mDelay(unsigned char j)//A normal delay
 {
  unsigned int i;
  for(;j>0;j--)
     {
	  for(i=0;i<125;i++)
	     {;}
	  }
  }

  // IIC
  void Start(void)
  {
   Sda=1;
   _nop_();_nop_();
   Scl=1;
   _nop_();_nop_();_nop_();_nop_();_nop_();
   Sda=0;
   _nop_();_nop_();_nop_();_nop_();_nop_();
   Scl=0;
  }

  //ֹͣ IIC
  void Stop(void)
  {
   Sda=0;
   _nop_();
   Scl=1;
   _nop_();_nop_();_nop_();_nop_();_nop_();
   Sda=1;
   _nop_();_nop_();_nop_();_nop_();_nop_();
   Scl=0;
   }

   //Ӧ IIC
   void Ack(void)
   {
    Sda=0;
	_nop_();_nop_();_nop_();
	Scl=1;
	_nop_();_nop_();_nop_();_nop_();_nop_();
	Scl=0;
	_nop_();_nop_();
	}

	//Ӧ IIC
	void NoAck(void)
	{
	 Sda=1;
	 _nop_();_nop_();_nop_();
	 Scl=1;
	 _nop_();_nop_();_nop_();_nop_();_nop_();
	 Scl=0;
	 _nop_();_nop_();
	 }

	 //һֽ
	 void Send(unsigned char Data)
	 { 
	  unsigned char BitCounter=8;
	  unsigned char temp;

	  do
	    {
		 temp=Data;
		 Scl=0;
		 _nop_();_nop_();_nop_();_nop_();_nop_();
		 if((temp&0x80)==0x80)
		    Sda=1;
		 else
		    Sda=0;


			Scl=1;
			temp=Data<<1;
			Data=temp;
			BitCounter--;
		  }
	  while(BitCounter);
	      Scl=0;
	  }

	  //һֽڲر
	  unsigned char Read(void)
	  {
	   unsigned char temp=0;
	   unsigned char temp1=0;
	   unsigned char BitCounter=8;

	   Sda=1;
	   do
	     {
		  Scl=0;
          _nop_();_nop_();_nop_();_nop_();_nop_();
		  Scl=1;
		  _nop_();_nop_();_nop_();_nop_();_nop_();
		  if(Sda)
		     temp=temp|0x01;
		  else
		     temp=temp&0xfe;

		  if(BitCounter-1)
		     {
			  temp1=temp<<1;
			  temp=temp1;
			  }
			  BitCounter--;
			 }
		while(BitCounter);
		return(temp);
	  }
    //write to ROM
	  void WrToROM(unsigned char Data[],unsigned char Address,unsigned char Num)
	  {
	   unsigned char i;
	   unsigned char *PData;
	   PData=Data;
	   for(i=0;i<Num;i++)
	      {
		   Start();
		   Send(AddWr);//Write Address
		   Ack();
		   Send(Address+i);//Write sub Address
		   Ack();
		   Send(*(PData+i));//Write Data
		   Ack();
		   Stop();
		   mDelay(20);
		   }
	   }
   //read from ROM
	  void RdFromROM(unsigned char Data[],unsigned char Address,unsigned char Num)
	  {
	   unsigned char i;
	   unsigned char *PData;
	   PData=Data;
       for(i=0;i<Num;i++)
	      {
		   Start();
		   Send(AddWr);//Write Address
		   Ack();
 		   Send(Address+i);//Write sub Address
		   Ack();
		   Start();
		   Send(AddRd);//Read Address
		   Ack();
		   *(PData+i)=Read();//Read Data
		   Scl=0;
		   NoAck();
		   Stop();
		   }
	  }
//////////////////////////////////////////////////////////////////////////////////////////
//ϳEEPROM24C02򲿷֣IICЭ
	void main()
	{
	 unsigned char Number[1];
	 unsigned char i;
	 WP=0;//дص
	 
	 RdFromROM(Number,0,1);//ô洢 ӵַ0ʼдһ
	 Number[0]++;
	 WrToROM(Number,0,1);//д24c02
     P1 = ~ Number[0];//P1ʾ ʾ LED1ԭ0
	 
	 
	 while(1)
	      { 
		  }

}
//ûԼѳֲʾҺʾ ֱ۵Ŀ ҲԶint ڼ 

